Skip to main content
GET
/
b2b
/
funds
/
transactions
List Funding Transactions
curl --request GET \
  --url https://nexus.kraken.com/b2b/funds/transactions \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>'
{
  "result": {
    "transactions": [
      {
        "type": "withdrawal",
        "date": "2023-03-13T12:34:56Z",
        "asset": "<string>",
        "amount": "1.23",
        "status": "initial",
        "ref_id": "<string>"
      }
    ],
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Query Parameters

type
enum<string>
required

Request funding transactions of the specified type

Available options:
withdrawal,
deposit
cursor
string | null

Pagination cursor for fetching the next set of results

page_size
integer<uint32>
default:25

Number of transactions to return per page. Default is 25 if not specified.

Required range: 1 <= x <= 500

Response

Response

result
object